# std::operator==,!=,<(std::error_code)

From cppreference.com
< cpp‎ | error‎ | error code

Defined in header `<system_error>` |  |
bool operator==( const error_code& lhs, const error_code& rhs ); | (1) | (since C++11)
bool operator!=( const error_code& lhs, const error_code& rhs ); | (1) | (since C++11)
bool operator<( const error_code& lhs, const error_code& rhs ); | (1) | (since C++11)

Compares two error code objects.

1) Compares `lhs` and `rhs` for equality.
2) Compares `lhs` and `rhs` for equality.
3) Checks whether `lhs` is less than `rhs`.

### Parameters

lhs, rhs | - | error codes to compare

### Return value

1) true if the error category and error value compare equal.
2) true if the error category or error value compare are not equal.
3) true if lhs.category() < rhs.category(). Otherwise, true if lhs.category() == rhs.category() && lhs.value() < rhs.value(). Otherwise, false

### Exceptions

`noexcept` specification:
noexcept

### See also

category | obtains the error_category for this error_code (public member function)

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/error/error_code/operator_cmp&oldid=91378"
Category:

- unconditionally noexcept

Hidden categories:

- Pages with unreviewed unconditional noexcept template
- Pages with unreviewed noexcept template